Package org.eclipse.mat.dtfj

# Class DTFJPreferencePage

java.lang.Object
org.eclipse.jface.dialogs.DialogPage
org.eclipse.jface.preference.PreferencePage
org.eclipse.jface.preference.FieldEditorPreferencePage
org.eclipse.mat.dtfj.DTFJPreferencePage

All Implemented Interfaces:
  `EventListener`, `IDialogPage`, `IMessageProvider`, `IPreferencePage`, `IPropertyChangeListener`, `IWorkbenchPreferencePage`

public class DTFJPreferencePage extends FieldEditorPreferencePage implements IWorkbenchPreferencePage
This class represents a preference page that is contributed to the Preferences dialog. By subclassing `FieldEditorPreferencePage`, we can use the field support built into JFace that allows us to create a page that is small and knows how to save, restore and apply itself.

This page is used to modify preferences only. They are stored in the preference store that belongs to the main plug-in class. That way, preferences can be accessed directly via the preference store.

## Field Summary

### Fields inherited from class org.eclipse.jface.preference.FieldEditorPreferencePage

`FLAT, GRID`

### Fields inherited from interface org.eclipse.jface.dialogs.IMessageProvider

`ERROR, INFORMATION, NONE, WARNING`

## Constructor Summary

Constructors
Constructor
Description
`DTFJPreferencePage()`

## Method Summary

Modifier and Type
Method
Description
`void`
`createFieldEditors()`
Creates the field editors.
`void`
`init(IWorkbench workbench)`

### Methods inherited from class org.eclipse.jface.preference.FieldEditorPreferencePage

`dispose, performOk, propertyChange, setVisible`

### Methods inherited from class org.eclipse.jface.preference.PreferencePage

`applyData, computeSize, createControl, getContainer, getPreferenceStore, isValid, okToLeave, performCancel, performHelp, setContainer, setErrorMessage, setMessage, setPreferenceStore, setSize, setTitle, setValid, toString`

### Methods inherited from class org.eclipse.jface.dialogs.DialogPage

`getControl, getDescription, getErrorMessage, getImage, getMessage, getMessageType, getShell, getTitle, setDescription, setImageDescriptor, setMessage`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.jface.dialogs.IDialogPage

`createControl, dispose, getControl, getDescription, getErrorMessage, getImage, getMessage, getTitle, performHelp, setDescription, setImageDescriptor, setTitle, setVisible`

### Methods inherited from interface org.eclipse.jface.preference.IPreferencePage

`computeSize, isValid, okToLeave, performCancel, performOk, setContainer, setSize`

## Constructor Details

### DTFJPreferencePage

public DTFJPreferencePage()

## Method Details

### createFieldEditors

public void createFieldEditors()
Creates the field editors. Field editors are abstractions of the common GUI blocks needed to manipulate various types of preferences. Each field editor knows how to save and restore itself.

### init

public void init(IWorkbench workbench)

Specified by:
  `init` in interface `IWorkbenchPreferencePage`